## org.hibernate.type.descriptor.java
Class JdbcTimestampTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.java.AbstractTypeDescriptor<Date>
          org.hibernate.type.descriptor.java.JdbcTimestampTypeDescriptor

All Implemented Interfaces:
  Serializable, JavaTypeDescriptor<Date>

    public class JdbcTimestampTypeDescriptor

extends AbstractTypeDescriptor<Date>

TODO : javadoc

See Also:
  Serialized Form

Nested Class Summary
`static class` `JdbcTimestampTypeDescriptor.TimestampMutabilityPlan`

Field Summary
`static JdbcTimestampTypeDescriptor` `INSTANCE`
`static String` `TIMESTAMP_FORMAT`

Constructor Summary
`JdbcTimestampTypeDescriptor()`

Method Summary
`boolean` `areEqual(Date one, Date another)` Determine if two instances are equal
`int` `extractHashCode(Date value)` Extract a proper hash code for this value.
`Date` `fromString(String string)`
`String` `toString(Date value)`

`

`<X> X`

`

`unwrap(Date value, Class<X> type, WrapperOptions options)`
Unwrap an instance of our handled Java type into the requested type.

`

`<X> Date`

`

`wrap(X value, WrapperOptions options)`
Wrap a value as our handled Java type.

Methods inherited from class org.hibernate.type.descriptor.java.AbstractTypeDescriptor
`extractLoggableRepresentation, getComparator, getJavaTypeClass, getMutabilityPlan, unknownUnwrap, unknownWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final JdbcTimestampTypeDescriptor INSTANCE

### TIMESTAMP_FORMAT

    public static final String TIMESTAMP_FORMAT

See Also:
  Constant Field Values

Constructor Detail

### JdbcTimestampTypeDescriptor

    public JdbcTimestampTypeDescriptor()

Method Detail

### toString

    public String toString(Date value)

### fromString

    public Date fromString(String string)

### areEqual

    public boolean areEqual(Date one,
                            Date another)

  Description copied from class: `AbstractTypeDescriptor`
  Determine if two instances are equal

  Specified by:
    `areEqual` in interface `JavaTypeDescriptor<Date>`
  Overrides:
    `areEqual` in class `AbstractTypeDescriptor<Date>`
  Parameters:
    `one` - One instance
    `another` - The other instance
  Returns:
    True if the two are considered equal; false otherwise.

### extractHashCode

    public int extractHashCode(Date value)

  Description copied from class: `AbstractTypeDescriptor`
  Extract a proper hash code for this value.

  Specified by:
    `extractHashCode` in interface `JavaTypeDescriptor<Date>`
  Overrides:
    `extractHashCode` in class `AbstractTypeDescriptor<Date>`
  Parameters:
    `value` - The value for which to extract a hash code.
  Returns:
    The extracted hash code.

### unwrap

    public <X> X unwrap(Date value,
                        Class<X> type,
                        WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Unwrap an instance of our handled Java type into the requested type.

  As an example, if this is a `JavaTypeDescriptor<Integer>` and we are asked to unwrap the `Integer value` as a `Long` we would return something like `Long.valueOf( value.longValue() )`.

  Intended use is during `PreparedStatement` binding.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to unwrap
    `type` - The type as which to unwrap
    `options` - The options
  Returns:
    The unwrapped value.

### wrap

    public <X> Date wrap(X value,
                         WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Wrap a value as our handled Java type.

  Intended use is during `ResultSet` extraction.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to wrap.
    `options` - The options
  Returns:
    The wrapped value.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.